ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.HsToCore.GuardedRHSs

# Documentation

dsGuarded :: GRHSs GhcTc (LHsExpr GhcTc) -> Type -> NonEmpty Nablas -> DsM CoreExpr Source #

dsGRHSs Source #

Arguments

:: HsMatchContext GhcRn |
-> GRHSs GhcTc (LHsExpr GhcTc) | Guarded RHSs
-> Type | Type of RHS
-> NonEmpty Nablas | Refined pattern match checking models, one for the pattern part and one for each GRHS.
-> DsM (MatchResult CoreExpr) |

isTrueLHsExpr :: LHsExpr GhcTc -> Maybe (CoreExpr -> DsM CoreExpr) Source #